#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2022-04-08
#
# Metrics file for the spring4shell plugin
#
from cmk.gui.i18n import _

from cmk.gui.plugins.metrics import (
    metric_info,
    graph_info,
    perfometer_info,
    check_metrics,
)

metric_info['files_inspected'] = {
    'title': _('Files inspected'),
    'unit': 'count',
    'color': '31/a',
}
metric_info['files_vulnerable'] = {
    'title': _('Files vulnerable'),
    'unit': 'count',
    'color': '11/a',
}
metric_info['files_not_permitted'] = {
    'title': _('Files denied'),
    'unit': 'count',
    'color': '21/a',
}
metric_info['files_unknown'] = {
    'title': _('Files unknown'),
    'unit': 'count',
    'color': '41/a',
}
metric_info['run_time'] = {
    'title': _('Run time'),
    'unit': 's',
    'color': '33/b',
}

perfometer_info.append(('stacked', [
    {
        'type': 'linear',
        'segments': [
            'files_vulnerable',
            'files_not_permitted',
        ],
        'total': 100,
    },
    {
        'type': 'linear',
        'segments': [
            'run_time',
        ],
        'total': 7200,
    },
]))
